Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.controller.jsp
Class LoginTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.makumba.controller.jsp.LoginTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag

    public class LoginTag

extends BodyTagSupport

The Tag class used for . This class is a normal `BodyTag` not a `AnalysableTag`

Author:
  Cristian Bogdan
See Also:
  Serialized Form

Field Summary
`(package private) static String` | `pageAttr`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`LoginTag()`

Method Summary
`(package private) static Dictionary<String,Integer>` | `countValues(String[] parameterValues)` given a list of parameter values A= {a1, a2, ... an}, this method makes a set {[a, t]} where t is the number of times a occurs in A
`int` | `doEndTag()` appends a /FORM to the tag body, closing the login form
`void` | `doInitBody()` prepend a HTML FORM to the tag body. the action of the form is the page that provoked the login. the path info and query string are identical to the original access the HTTP parameters that are not in the query string (POST params) written in the form as hidden INPUT tags
`int` | `doStartTag()` this always returns EVAL_BODY_TAG so we make sure `doInitBody()` is called

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### pageAttr

    static final String pageAttr

See Also:
  Constant Field Values

Constructor Detail

### LoginTag

    public LoginTag()

Method Detail

### doStartTag

    public int doStartTag()

  this always returns EVAL_BODY_TAG so we make sure `doInitBody()` is called

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `BodyTagSupport`

### countValues

    static Dictionary<String,Integer> countValues(String[] parameterValues)

  given a list of parameter values A= {a1, a2, ... an}, this method makes a set {[a, t]} where t is the number of times a occurs in A

### doInitBody

    public void doInitBody()
                    throws JspException

  prepend a HTML FORM to the tag body. the action of the form is the page that provoked the login. the path info and query string are identical to the original access the HTTP parameters that are not in the query string (POST params) written in the form as hidden INPUT tags

  Specified by:
    `doInitBody` in interface `BodyTag`
  Overrides:
    `doInitBody` in class `BodyTagSupport`
  Throws:
    `JspException`

### doEndTag

    public int doEndTag()
                 throws JspException

  appends a /FORM to the tag body, closing the login form

  Specified by:
    `doEndTag` in interface `Tag`
  Overrides:
    `doEndTag` in class `BodyTagSupport`
  Throws:
    `JspException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20